apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ../../demo23-cluster
namespace: aster-x
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "gateway-gaiax.aster-x.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["gateway-gaiax.aster-x.demo23.gxfs.fr"]
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-gateway-gaiax-tls"
    target:
      kind: Ingress
      name: gateway-gaiax